curl --request PUT \
--url https://external.pleo.io/v1/chart-of-accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": true,
"name": "<string>",
"code": "<string>",
"metadata": {},
"taxCodeExternalId": "<string>"
}
'import requests
url = "https://external.pleo.io/v1/chart-of-accounts/{accountId}"
payload = {
"archived": True,
"name": "<string>",
"code": "<string>",
"metadata": {},
"taxCodeExternalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
archived: true,
name: '<string>',
code: '<string>',
metadata: {},
taxCodeExternalId: '<string>'
})
};
fetch('https://external.pleo.io/v1/chart-of-accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"archived": false,
"code": "2001",
"companyId": "123e4567-e89b-12d3-a456-426614174006",
"externalId": "External Id",
"id": "123e4567-e89b-12d3-a456-426614174005",
"name": "Bank Charges",
"taxCodeExternalId": "IVA 20"
}
}Update an account
Update details of an existing account in Pleo. The integration must send a request to this endpoint when it is trying to archive an account linked to accounting entries.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
ID of the account to update.
Body
Represents a request to update an account.
Boolean flag used to determine if the account is archived.
Name of the account. Maximum length: 255 characters.
255Account code or number used in the accounting system's chart of accounts. Maximum length: 255 characters.
255Place for API users to store flexible data.
Show child attributes
Show child attributes
The identifier in the target system for the tax code the account is associated with.
- This is NOT the tax percentage (e.g. 20%)
- This is NOT the Pleo UUID of the tax code
Response
Update of account successful.
Represents an account in Pleo.
Show child attributes
Show child attributes
Was this page helpful?